Bug 220895 - smbk5pwd module/overlay
Summary: smbk5pwd module/overlay
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-28 14:39 UTC by Johnny Hughes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: openldap-2.3.34-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 13:37:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contains a spec file patch and an OS patch to enable smbk5pwd on openldap-2.3.27-4.src.rpm (7.56 KB, patch)
2006-12-28 14:39 UTC, Johnny Hughes
no flags Details | Diff

Description Johnny Hughes 2006-12-28 14:39:45 UTC
Description of problem:
Samba sever and LDAP passwords do not sync when changed in ldap (with samba
installed as a PDC and openldap as the backend store for passwords) ... though
windows changes do (if properly enabled) sync to ldap.

openldap has a contrib module that is already distributed in the Fedora / RHEL
source files that can build the smbk5pwd module that takes care of this issue.

I am attaching a patch that I used to produce this module for the CentOS-4
CentOSPlus repository, in case you want to build this module in Fedora Core (or
RHEL).

Version-Release number of selected component (if applicable):
The patch is to version 2.3.27-4 of openldap.

Additional info:
In the patch, I remove the BuildRequires "bind-libbind-devel, libtool-ltdl-devel
" to build on EL4 ... not required to be removed if built on >EL5 or >FC6.

Also, feel free to remove the CentOS readme part of the patch that appends to
the original readme.

Comment 1 Johnny Hughes 2006-12-28 14:39:46 UTC
Created attachment 144465 [details]
Contains a spec file patch and an OS patch to enable smbk5pwd on openldap-2.3.27-4.src.rpm

Comment 2 Jan Safranek 2007-10-19 13:37:10 UTC
Sorry for not closing the bug earlier - openldap-2.3.34-4 was released some time
ago, providing all overlays, including smbk5pwd. I must confess I was inspired
by your patch (although final implementation is a bit different).


Note You need to log in before you can comment on or make changes to this bug.